[aliases]
test = pytest

[bdist_wheel]
universal = 1

[flake8]
exclude = 
	requests_gracedb/_version.py
	versioneer.py
ignore = D100,D102,D104,D107,D205,D400

[coverage:run]
source = requests_gracedb
omit = 
	requests_gracedb/_version.py
	requests_gracedb/tests/*

[metadata]
name = requests-gracedb
license = GPL-2+
license_file = LICENSE.md
author = Leo Singer
author_email = leo.singer@ligo.org
description = generic connection pooling HTTP client for GraceDB and similar services
long_description = file:README.md
long_description_content_type = text/markdown
url = https://git.ligo.org/emfollow/requests-gracedb
classifiers = 
	Development Status :: 4 - Beta
	Environment :: Console
	Intended Audience :: Science/Research
	License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)
	Operating System :: POSIX
	Programming Language :: Python :: 2
	Programming Language :: Python :: 2.7
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3.5
	Programming Language :: Python :: 3.6
	Programming Language :: Python :: 3.7
	Programming Language :: Python :: 3.8
	Topic :: Internet
	Topic :: Scientific/Engineering :: Astronomy
	Topic :: Scientific/Engineering :: Physics
project_urls = 
	Bug Tracker = https://git.ligo.org/emfollow/requests-gracedb/issues
	Documentation = https://requests-gracedb.readthedocs.io/
	Source Code = https://git.ligo.org/emfollow/requests-gracedb

[options]
packages = find:
python_requires = >=2.7
install_requires = 
	cryptography
	requests
	safe-netrc
	six
tests_require = 
	mock<4; python_version<"3"
	pytest
	pytest-freezegun
	pytest-httpserver; python_version>="3"
	pytest-socket

[versioneer]
vcs = git
versionfile_build = requests_gracedb/_version.py
versionfile_source = requests_gracedb/_version.py
tag_prefix = v
parentdir_prefix = requests-gracedb-

[egg_info]
tag_build = 
tag_date = 0

